## r-cran-slider 0.1.5

=== DESCRIPTION ===
Package: slider
Title: Sliding Window Functions
Version: 0.1.5
Authors@R: 
    c(person(given = "Davis",
             family = "Vaughan",
             role = c("aut", "cre"),
             email = "davis@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides type-stable rolling window functions over
    any R data type. Cumulative and expanding windows are also supported.
    For more advanced usage, an index can be used as a secondary vector
    that defines how sliding windows are to be created.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/slider
BugReports: https://github.com/DavisVaughan/slider/issues
Depends: R (>= 3.2)
Imports: glue, rlang (>= 0.4.5), vctrs (>= 0.3.0), warp
Suggests: covr, dplyr (>= 0.8.3), knitr, lubridate, rmarkdown, testthat
        (>= 2.1.0), xml2
LinkingTo: vctrs (>= 0.3.0)
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Collate: 'block.R' 'conditions.R' 'hop-common.R' 'hop-index-common.R'
        'hop-index.R' 'hop-index2.R' 'hop.R' 'hop2.R' 'names.R'
        'phop-index.R' 'phop.R' 'slide-index2.R' 'pslide-index.R'
        'slide-period2.R' 'pslide-period.R' 'slide2.R' 'pslide.R'
        'slide-common.R' 'slide-index-common.R' 'slide-index.R'
        'slide-period-common.R' 'slide-period.R' 'slide.R'
        'slider-package.R' 'utils.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2020-07-21 13:01:31 UTC; davis
Author: Davis Vaughan [aut, cre],
  RStudio [cph]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2020-07-21 13:50:07 UTC

=== debian/changelog ===
r-cran-slider (0.1.5-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 23:09:37 +0200

r-cran-slider (0.1.5-1) unstable; urgency=medium

  * Initial release (closes: #971358)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 12:03:08 +0200

=== debian/control ===
Source: r-cran-slider
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-glue,
               r-cran-rlang (>= 0.4.5),
               r-cran-vctrs,
               r-cran-warp
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-slider
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-slider.git
Homepage: https://cran.r-project.org/package=slider
Rules-Requires-Root: no

Package: r-cran-slider
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R sliding window functions
 Provides type-stable rolling window functions over
 any R data type. Cumulative and expanding windows are also supported.
 For more advanced usage, an index can be used as a secondary vector
 that defines how sliding windows are to be created.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/slider_([-\d.]*)\.tar\.gz

## r-cran-slider 0.2.2

=== DESCRIPTION ===
Package: slider
Title: Sliding Window Functions
Version: 0.2.2
Authors@R: 
    c(person(given = "Davis",
             family = "Vaughan",
             role = c("aut", "cre"),
             email = "davis@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides type-stable rolling window functions over any R data
    type. Cumulative and expanding windows are also supported. For more
    advanced usage, an index can be used as a secondary vector that
    defines how sliding windows are to be created.
License: MIT + file LICENSE
URL: https://github.com/DavisVaughan/slider
BugReports: https://github.com/DavisVaughan/slider/issues
Depends: R (>= 3.3.0)
Imports: ellipsis (>= 0.3.1), glue, rlang (>= 0.4.5), vctrs (>= 0.3.6),
        warp
Suggests: covr, dplyr (>= 1.0.0), knitr, lubridate, rmarkdown, testthat
        (>= 3.0.0)
LinkingTo: vctrs (>= 0.3.6)
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.1
SystemRequirements: C++11
Collate: 'block.R' 'conditions.R' 'hop-common.R' 'hop-index-common.R'
        'hop-index.R' 'hop-index2.R' 'hop.R' 'hop2.R' 'names.R'
        'phop-index.R' 'phop.R' 'slide-index2.R' 'pslide-index.R'
        'slide-period2.R' 'pslide-period.R' 'slide2.R' 'pslide.R'
        'segment-tree.R' 'slide-common.R' 'slide-index-common.R'
        'slide-index.R' 'slide-period-common.R' 'slide-period.R'
        'slide.R' 'slider-package.R' 'summary-index.R'
        'summary-slide.R' 'utils.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2021-07-01 19:27:53 UTC; davis
Author: Davis Vaughan [aut, cre],
  RStudio [cph]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2021-07-01 19:50:01 UTC

=== debian/changelog ===
r-cran-slider (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 10:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-ellipsis,
                r-cran-glue,
                r-cran-rlang (>= 0.4.5),
                r-cran-vctrs,
                r-cran-warp
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-slider
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-slider.git
 Homepage: https://cran.r-project.org/package=slider

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-lubridate, r-cran-xml2
Restrictions: allow-stderr

## r-cran-slider 0.3.0

=== DESCRIPTION ===
Package: slider
Title: Sliding Window Functions
Version: 0.3.0
Authors@R: c(
    person("Davis", "Vaughan", , "davis@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Provides type-stable rolling window functions over any R data
    type. Cumulative and expanding windows are also supported. For more
    advanced usage, an index can be used as a secondary vector that
    defines how sliding windows are to be created.
License: MIT + file LICENSE
URL: https://github.com/r-lib/slider, https://slider.r-lib.org
BugReports: https://github.com/r-lib/slider/issues
Depends: R (>= 3.4.0)
Imports: cli (>= 3.4.1), rlang (>= 1.0.6), vctrs (>= 0.5.0), warp
Suggests: covr, dplyr (>= 1.0.0), knitr, lubridate, rmarkdown, testthat
        (>= 3.0.0)
LinkingTo: vctrs (>= 0.5.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.1
SystemRequirements: C++11
Collate: 'arithmetic.R' 'block.R' 'conditions.R' 'hop-common.R'
        'hop-index-common.R' 'hop-index.R' 'hop-index2.R' 'hop.R'
        'hop2.R' 'phop-index.R' 'phop.R' 'slide-index2.R'
        'pslide-index.R' 'slide-period2.R' 'pslide-period.R' 'slide2.R'
        'pslide.R' 'segment-tree.R' 'slide-common.R'
        'slide-index-common.R' 'slide-index.R' 'slide-period-common.R'
        'slide-period.R' 'slide.R' 'slider-package.R' 'summary-index.R'
        'summary-slide.R' 'utils.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2022-11-16 17:47:03 UTC; davis
Author: Davis Vaughan [aut, cre],
  RStudio [cph, fnd]
Maintainer: Davis Vaughan <davis@rstudio.com>
Repository: CRAN
Date/Publication: 2022-11-16 22:10:02 UTC

=== debian/changelog ===
r-cran-slider (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * lintian-overrides (see lintian bug #1017966)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:32:17 +0100

=== debian/control ===
Source: r-cran-slider
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-slider
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-slider.git
Homepage: https://cran.r-project.org/package=slider
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.4.1),
               r-cran-rlang (>= 1.0.6),
               r-cran-vctrs (>= 0.5.0),
               r-cran-warp
Testsuite: autopkgtest-pkg-r

Package: r-cran-slider
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R sliding window functions
 Provides type-stable rolling window functions over
 any R data type. Cumulative and expanding windows are also supported.
 For more advanced usage, an index can be used as a secondary vector
 that defines how sliding windows are to be created.

## r-cran-slider 0.3.1

=== DESCRIPTION ===
Package: slider
Title: Sliding Window Functions
Version: 0.3.1
Authors@R: c(
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Provides type-stable rolling window functions over any R data
    type. Cumulative and expanding windows are also supported. For more
    advanced usage, an index can be used as a secondary vector that
    defines how sliding windows are to be created.
License: MIT + file LICENSE
URL: https://github.com/r-lib/slider, https://slider.r-lib.org
BugReports: https://github.com/r-lib/slider/issues
Depends: R (>= 3.6.0)
Imports: cli (>= 3.6.1), rlang (>= 1.1.1), vctrs (>= 0.6.3), warp
Suggests: covr, dplyr (>= 1.0.0), knitr, lubridate, rmarkdown, testthat
        (>= 3.0.0)
LinkingTo: vctrs (>= 0.6.3)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
Collate: 'arithmetic.R' 'block.R' 'conditions.R' 'hop-common.R'
        'hop-index-common.R' 'hop-index.R' 'hop-index2.R' 'hop.R'
        'hop2.R' 'phop-index.R' 'phop.R' 'slide-index2.R'
        'pslide-index.R' 'slide-period2.R' 'pslide-period.R' 'slide2.R'
        'pslide.R' 'segment-tree.R' 'slide-common.R'
        'slide-index-common.R' 'slide-index.R' 'slide-period-common.R'
        'slide-period.R' 'slide.R' 'slider-package.R' 'summary-index.R'
        'summary-slide.R' 'utils.R' 'zzz.R'
NeedsCompilation: yes
Packaged: 2023-10-12 14:30:46 UTC; davis
Author: Davis Vaughan [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2023-10-12 15:10:02 UTC

=== debian/changelog ===
r-cran-slider (0.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 15:06:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-slider
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-slider.git
 Homepage: https://cran.r-project.org/package=slider
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli (>= 3.4.1),
-               r-cran-rlang (>= 1.0.6),
-               r-cran-vctrs (>= 0.5.0),
+               r-cran-cli (>= 3.6.1),
+               r-cran-rlang (>= 1.1.1),
+               r-cran-vctrs (>= 0.6.3),
                r-cran-warp
 Testsuite: autopkgtest-pkg-r

## r-cran-slider 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: slider
 Title: Sliding Window Functions
-Version: 0.3.1
+Version: 0.3.2
 Authors@R: c(
     person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd"))
@@ -12,16 +12,18 @@
 License: MIT + file LICENSE
 URL: https://github.com/r-lib/slider, https://slider.r-lib.org
 BugReports: https://github.com/r-lib/slider/issues
-Depends: R (>= 3.6.0)
+Depends: R (>= 4.0.0)
 Imports: cli (>= 3.6.1), rlang (>= 1.1.1), vctrs (>= 0.6.3), warp
 Suggests: covr, dplyr (>= 1.0.0), knitr, lubridate, rmarkdown, testthat
         (>= 3.0.0)
 LinkingTo: vctrs (>= 0.6.3)
 VignetteBuilder: knitr
+Config/build/compilation-database: true
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
+Config/usethis/last-upkeep: 2024-10-25
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Collate: 'arithmetic.R' 'block.R' 'conditions.R' 'hop-common.R'
         'hop-index-common.R' 'hop-index.R' 'hop-index2.R' 'hop.R'
         'hop2.R' 'phop-index.R' 'phop.R' 'slide-index2.R'
@@ -31,9 +33,9 @@
         'slide-period.R' 'slide.R' 'slider-package.R' 'summary-index.R'
         'summary-slide.R' 'utils.R' 'zzz.R'
 NeedsCompilation: yes
-Packaged: 2023-10-12 14:30:46 UTC; davis
+Packaged: 2024-10-25 17:10:37 UTC; davis
 Author: Davis Vaughan [aut, cre],
   Posit Software, PBC [cph, fnd]
 Maintainer: Davis Vaughan <davis@posit.co>
 Repository: CRAN
-Date/Publication: 2023-10-12 15:10:02 UTC
+Date/Publication: 2024-10-25 17:40:02 UTC

=== debian/changelog ===
r-cran-slider (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 08:57:10 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-slider
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-slider.git
 Homepage: https://cran.r-project.org/package=slider
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-dplyr (>= 1.0.0),
        r-cran-knitr,
        r-cran-lubridate,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

## r-cran-slider 0.3.3

=== debian/changelog ===
r-cran-slider (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 12:08:33 +0900

=== debian/control ===
Source: r-cran-slider
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli (>= 3.6.1),
 r-cran-rlang (>= 1.1.1),
 r-cran-vctrs (>= 0.6.3),
 r-cran-warp,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-slider
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-slider.git
Homepage: https://cran.r-project.org/package=slider
Rules-Requires-Root: no

Package: r-cran-slider
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R sliding window functions
 Provides type-stable rolling window functions over
 any R data type. Cumulative and expanding windows are also supported.
 For more advanced usage, an index can be used as a secondary vector
 that defines how sliding windows are to be created.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-dplyr (>= 1.0.0),
 r-cran-knitr,
 r-cran-lubridate,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.0),
